package com.boman.web.core.service.grid;


import com.boman.domain.dto.AjaxResult;
import com.boman.web.core.domain.GridInfo;

import java.util.List;

/**
 * 网格信息Service接口
 * 
 * @author boman
 * @date 2022-01-19
 */
public interface IGridInfoService 
{
    /**
     * 查询网格信息
     * 
     * @param id 网格信息主键
     * @return 网格信息
     */
    public GridInfo selectGridInfoById(Long id);

    /**
     * 查询网格信息列表
     * 
     * @param gridInfo 网格信息
     * @return 网格信息集合
     */
    public List<GridInfo> selectGridInfoList(GridInfo gridInfo);

    /**
     * 新增网格信息
     * 
     * @param gridInfo 网格信息
     * @return 结果
     */
    public int insertGridInfo(GridInfo gridInfo);

    /**
     * 修改网格信息
     * 
     * @param gridInfo 网格信息
     * @return 结果
     */
    public int updateGridInfo(GridInfo gridInfo);

    /**
     * 批量删除网格信息
     * 
     * @param ids 需要删除的网格信息主键集合
     * @return 结果
     */
    public int deleteGridInfoByIds(Long[] ids);

    /**
     * 删除网格信息信息
     * 
     * @param id 网格信息主键
     * @return 结果
     */
    public int deleteGridInfoById(Long id);

    /**
     * 网格信息下拉菜单
     * @param gridInfo
     * @return
     */
    AjaxResult treeSelect(GridInfo gridInfo);
}
